Skip to main content
GET
/
sites
/
{id}
/
secrets
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.sites.listSecrets({
    id: "<id>",
  });

  console.log(result);
}

run();
{
  "data": [
    {
      "object": "<string>",
      "id": "<string>",
      "name": "<string>",
      "target": "<string>",
      "description": "<string>",
      "last4": "<string>",
      "value": "<string>",
      "created_at": "<string>"
    }
  ],
  "has_more": true,
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")

Query Parameters

starting_after
string

Cursor for pagination — the ID of the last item in the previous page

limit
integer
default:20

Items per page

Required range: 1 <= x <= 100

Response

List of the site's secrets (values masked)

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required